// -*-Mode: C++;-*-
#include <qwidget.h>
#include "qmixer.h"
#include <qlist.h>

#ifndef _MIXER_WIDGET
#define _MIXER_WIDGET

class MixerWidget:public QWidget {
    Q_OBJECT
public:
    MixerWidget(QWidget*parent=0,const char*geraet = 0,const char*name = 0);
    /**  */
    virtual const char* get_dev_name()const;
    ~MixerWidget();
    options*Options;

private:
    Mixer * mix;
    mixer*use_device;
    QList<Mixer>*IntList;
    int soe;
    int los;
    int lol;
    int lov;
    int disp_id;
    int last_act;
public slots:
    void toggle_value_display(int last_act);
    void save_vals();
    void save_mixer();
    void read_mixer();
protected slots:
    virtual void styleChange(GUIStyle oldStyle);
};

#endif

